package com.blue.running.keyboard.run_frag

import android.os.Bundle
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import androidx.core.view.isVisible
import androidx.fragment.app.Fragment
import androidx.lifecycle.lifecycleScope
import androidx.recyclerview.widget.GridLayoutManager
import com.blue.running.keyboard.databinding.FragLikeBinding
import com.blue.running.keyboard.run_api.ApiUnLike
import com.blue.running.keyboard.run_db.BaseDataBase
import com.blue.running.keyboard.run_db.DbHelper
import kotlinx.coroutines.launch

class FragLike : Fragment() {
    private lateinit var vb: FragLikeBinding

    private lateinit var adapterLike: com.blue.running.keyboard.run_adapter.AdapterLike


    companion object {

        @JvmStatic
        fun newInstance() =
            FragLike()
    }

    override fun onCreateView(
        inflater: LayoutInflater, container: ViewGroup?,
        savedInstanceState: Bundle?
    ): View? {
        vb = FragLikeBinding.inflate(layoutInflater)

        init()

        return vb.root
    }


    private fun init() {
        adapterLike = com.blue.running.keyboard.run_adapter.AdapterLike(
            requireContext()
        ).apply {
            setRemoveLike(object : ApiUnLike {
                override fun onRemoveLike(data: com.blue.running.keyboard.run_jsonbean.ChildData) {
                     lifecycleScope.launch {
                         DbHelper.removeLike(data)
                     }
                }

            })
        }
        vb.likeRecycler.run {
            adapter = adapterLike
            layoutManager = GridLayoutManager(requireContext(), 2)
        }

        BaseDataBase.baseDataBase.ThemesDao().queryAllLike().observe(requireActivity()) {
            if(it.isNullOrEmpty()){
                vb.likeRecycler.isVisible = false
                vb.emptyTitle.isVisible = true
            }else{
                vb.likeRecycler.isVisible = true
                vb.emptyTitle.isVisible = false
                adapterLike.setForYouList(it)
            }

        }
    }



}